# Docs For Class FileMaker_Command_Delete

## Class FileMaker_Command_Delete

Description

Command class that deletes a single record.

Create this command with FileMaker::newDeleteCommand().

Located in /FileMaker/Command/Delete.php (line 29)

    FileMaker_Command
       |
       --FileMaker_Command_Delete

Methods

#### Inherited Methods

Inherited From FileMaker_Command

> FileMaker_Command::execute()
> FileMaker_Command::setPreCommandScript()
> FileMaker_Command::setPreSortScript()
> FileMaker_Command::setRecordClass()
> FileMaker_Command::setRecordId()
> FileMaker_Command::setResultLayout()
> FileMaker_Command::setScript()
> FileMaker_Command::validate()

Documentation generated on Mon, 28 Jul 2008 14:47:44 -0700 by phpDocumentor 1.4.0